Subject: Re: linux-next: manual merge of the net-next tree with the net tree

From: Stephen Rothwell <[email-masked]>
Date: Mon, 29 Apr 2013 09:57:35 +1000

Hi,

On Sun, 28 Apr 2013 16:49:33 +0300 "Yuval Mintz" <[email-masked]> wrote:
>
> > Today's linux-next merge of the net-next tree got a conflict in
> > drivers/net/ethernet/broadcom/bnx2x/bnx2x_main.c between commit
> > ecf01c22be03 ("bnx2x: Prevent NULL pointer dereference in kdump") from
> > the net tree and commit 5b0752c863d7 ("bnx2x: Fix VF statistics") from
> > the net-next tree.
> > 
> > I am not sure about this, but I just used the net tree version but I
> > assume something more may be needed and can carry the fix as
> > necessary (no action is required).
> 
> This patch adds the missing functionality from the `net-next' patch
> which was lost due to the merge.

Thanks.

> Is `linux-next' the correct tree to send it into?
> (I couldn't designate it to `net-next' as the merge between `net' and
> `net-next' hasn't occured yet, thus no collision there)

I have added this hunk to the merge conflict resolution in linux-next.  I
assume that Dave will do this as well when he merges the net tree into
the net-next tree.

> Signed-off-by: Yuval Mintz <[email-masked]>
> Signed-off-by: Ariel Elior <[email-masked]>
> ---
>  drivers/net/ethernet/broadcom/bnx2x/bnx2x_main.c | 2 ++
>  1 file changed, 2 insertions(+)
> 
> diff --git a/drivers/net/ethernet/broadcom/bnx2x/bnx2x_main.c
> b/drivers/net/ethernet/broadcom/bnx2x/bnx2x_main.c index
> 06dee5c..52cf71c 100644 ---
> a/drivers/net/ethernet/broadcom/bnx2x/bnx2x_main.c +++
> b/drivers/net/ethernet/broadcom/bnx2x/bnx2x_main.c @@ -6053,6 +6053,8
> @@ void bnx2x_pre_irq_nic_init(struct bnx2x *bp) bnx2x_init_def_sb(bp);
>  		bnx2x_update_dsb_idx(bp);
>  		bnx2x_init_sp_ring(bp);
> +	} else {
> +		bnx2x_memset_stats(bp);
>  	}
>  }

This patch was badly corrupted ...

-- 
Cheers,
Stephen Rothwell                    [email-masked]